Package ru.bitel.bgbilling.plugins.sbpilot.common.bean

# Class SbPilotPayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.sbpilot.common.bean.SbPilotPayment

All Implemented Interfaces:
  `Serializable`, `JsoneableModel`, `Contractable`, `Idable`

public class SbPilotPayment extends Id implements Contractable, JsoneableModel
Моделька "паймент SbPilot", она типа расширяет существующую модель "платёж" - объединяет тут поля из таблицы платежей SbPilot, контракта итд.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SbPilotPayment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuthcode()`
  `String`
  `getCarddate()`
  `String`
  `getCardnum()`
  `String`
  `getCardtype()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  Возвращает код договора к которому привязан объект.
  `String`
  `getContractTitle()`
  Возвращает название договора
  `Date`
  `getDate()`
  `String`
  `getInternalnum()`
  `String`
  `getPaymentComment()`
  `String`
  `getPaymentTypeTitle()`
  `BigDecimal`
  `getSumma()`
  `void`
  `setAuthcode(String authcode)`
  `void`
  `setCarddate(String carddate)`
  `void`
  `setCardnum(String cardnum)`
  `void`
  `setCardtype(String cardtype)`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractId(int contractId)`
  Устанавливает код договора к которому привязан объект.
  `void`
  `setContractTitle(String contractTitle)`
  Устанавливает название договора
  `void`
  `setDate(Date date)`
  `void`
  `setInternalnum(String internalnum)`
  `void`
  `setPaymentComment(String paymentComment)`
  `void`
  `setPaymentTypeTitle(String paymentTypeTitle)`
  `void`
  `setSumma(BigDecimal summa)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.plugins.sbpilot.common.bean.JsoneableModel

  `fromJson, toJson, toJson`

- ## Constructor Details

  - ### SbPilotPayment

    public SbPilotPayment()

- ## Method Details

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### setPaymentComment

    public void setPaymentComment(String paymentComment)

  - ### getPaymentComment

    public String getPaymentComment()

  - ### setSumma

    public void setSumma(BigDecimal summa)

  - ### getSumma

    public BigDecimal getSumma()

  - ### getContractId

    public int getContractId()
    Description copied from interface: `Contractable`
    Возвращает код договора к которому привязан объект.
    Specified by:
      `getContractId` in interface `Contractable`
    Returns:
      код договора

  - ### setContractId

    public void setContractId(int contractId)
    Description copied from interface: `Contractable`
    Устанавливает код договора к которому привязан объект.
    Specified by:
      `setContractId` in interface `Contractable`
    Parameters:
      `contractId` - код договора

  - ### setDate

    public void setDate(Date date)

  - ### getDate

    public Date getDate()

  - ### getContractTitle

    public String getContractTitle()
    Description copied from interface: `Contractable`
    Возвращает название договора
    Specified by:
      `getContractTitle` in interface `Contractable`
    Returns:
      название договора

  - ### setContractTitle

    public void setContractTitle(String contractTitle)
    Description copied from interface: `Contractable`
    Устанавливает название договора
    Specified by:
      `setContractTitle` in interface `Contractable`
    Parameters:
      `contractTitle` - название договора

  - ### getPaymentTypeTitle

    public String getPaymentTypeTitle()

  - ### setPaymentTypeTitle

    public void setPaymentTypeTitle(String paymentTypeTitle)

  - ### getCardnum

    public String getCardnum()

  - ### setCardnum

    public void setCardnum(String cardnum)

  - ### getCarddate

    public String getCarddate()

  - ### setCarddate

    public void setCarddate(String carddate)

  - ### getAuthcode

    public String getAuthcode()

  - ### setAuthcode

    public void setAuthcode(String authcode)

  - ### getInternalnum

    public String getInternalnum()

  - ### setInternalnum

    public void setInternalnum(String internalnum)

  - ### getCardtype

    public String getCardtype()

  - ### setCardtype

    public void setCardtype(String cardtype)